import java.io.*;

import javax.swing.*;

public class EditorFileChooser extends JFileChooser {
   private JFrame fenster;

   public EditorFileChooser(JFrame fenster) {
      this.fenster = fenster;
      setCurrentDirectory(new File("."));
      setFileSelectionMode(JFileChooser.FILES_ONLY);

      TextFilter filter = new TextFilter();
      addChoosableFileFilter(filter);
      setFileFilter(filter);
   }

   public File getFileName(String titel, int mod) {
      File datei = null;
      int auswahl = 0;
      setDialogTitle(titel);

      if (mod == COMMANDS.OPEN_DIALOG) {
         auswahl = showOpenDialog(fenster);
      }

      if (mod == COMMANDS.SAVE_DIALOG) {
         auswahl = showSaveDialog(fenster);
      }

      if (auswahl == JFileChooser.APPROVE_OPTION) {
         datei = getSelectedFile();
      }

      return datei;
   }
   
   public void setDefaultName(String name) {
      setSelectedFile(new File(name)) ;
   }
}
