import java.io.File;

import javax.swing.*;
import javax.swing.filechooser.*;

public class TextFilter extends FileFilter {
   private String extentions;

   public TextFilter() {
      extentions = "*.txt,*.java,*.html";
   }

   //Accept all directories and all text files.
   public boolean accept(File f) {
      if (f.isDirectory()) {
         return true;
      }

      String extension = getExtension(f);

      if (extension != null) {
         if (extension.equals("txt") || extension.equals("java") ||
               extension.equals("html")) {
            return true;
         }
      }

      return false;
   }

   //The description of this filter
   public String getDescription() {
      return "Nur Textdateien (*.txt,*.java,*.html)";
   }

   // Hilfsmethoden
   private String getExtension(File f) {
      String ext = null;
      String s = f.getName();
      int i = s.lastIndexOf('.');

      if ((i > 0) && (i < (s.length() - 1))) {
         ext = s.substring(i + 1).toLowerCase();
      }

      return ext;
   }
}
